### 88. Merge Sorted Array


题目： 
<https://leetcode.com/problems/merge-sorted-array/>


难度 : Easy

### 思路：

给的数组可能是这样的

- nums1 : [0]
- m : 0
- nums2 : [1]
- n : 1


所以要判断m和n是不是仍然大于0


AC代码


```python
class Solution:
    def merge(self, nums1, m, nums2, n):
        """
        :type nums1: List[int]
        :type m: int
        :type nums2: List[int]
        :type n: int
        :rtype: void Do not return anything, modify nums1 in-place instead.
        """
        while m > 0 and n > 0:
            if nums1[m-1] > nums2[n-1]:
                nums1[m+n-1] = nums1[m-1]
                m -= 1
            else:
                nums1[m+n-1] = nums2[n-1]
                n -= 1
        if n > 0:
            nums1[:n] = nums2[:n]

```
